Всем добрый вечер, я любитель Ред алерта1  ))  Вот вышла современная версия 20141029-1, в отличие от нашей 20130915, там я могу поиграть по сетке с другими. Попытался установить новую версию с оф. сайта в разделе rpm suse/fedora в начале установки пишет что из за коре моно не установится, я всё равно продолжил, и после автоматической загрузки дополнительных пакетов зависимостей ничего не увидел, даже значка с приславутой звёздочкой. Магея 4.1  кде.
Да, как отключить выбор окон при случайном наведении в  левый верхний угол, а то при игре в полноекранном режиме, при наведение даёт свою оконную чехарду. Если всё не выйдет, а скорее всё так и произойдёт smile, прийдётся устанавливать второй системой минт синнамон, там современная опенра идёт быстрее чем на винде которую я удалил со всеми потрахами!
  Спасибо всем создателям приятной линукс системы Магеия! в10 раз для меня лучше федоры, и в 2 раза минт  smile

2 (2014-11-04 16:45:19 отредактировано XliN)

Требуется помощь. Бьюсь с зависимостями. Как всегда у меня с lua проблемы. После запуска игры начинает выкачивать мод для RA и выкидывает с ошибкой

Консоль
Platform is Linux
Using SDL 2 with OpenGL renderer
Desktop resolution: 1366x768
No custom resolution provided, using desktop resolution
Using resolution: 1366x768
Detected OpenGL version: 4.4
Using OpenAL sound engine
Using default device
Available mods:
    cnc: Tiberian Dawn ({DEV_VERSION})
    d2k: Dune 2000 ({DEV_VERSION})
    modchooser: Mod Chooser ({DEV_VERSION})
    ra: Red Alert ({DEV_VERSION})
Loading mod: ra
Exception of type `System.DllNotFoundException`: lua51.dll
TypeName=``
  at (wrapper managed-to-native) Eluant.LuaApi:lua_newstate (Eluant.LuaRuntime/LuaAllocator,intptr)
  at Eluant.LuaRuntime..ctor () [0x00000] in <filename unknown>:0

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

3

XliN, версия Lua подходит?

XliN пишет:

Exception of type `System.DllNotFoundException`: lua51.dll

А в Mageia 4 по умолчанию lua == lua5.2. Для lua5.1 в официальном репозитории есть отдельный пакет, с непосредственно интерпретатором и отдельные пакеты liblua5.1 и liblua5.1-devel

Консоль
[xxblx@localhost ~]$ urpmq -y lua5.1
liblua5.1
liblua5.1-devel
liblua5.1-devel-static
lua5.1

Причем при установке liblua5.1-devel удаляется liblua-devel или liblua5.0-devel. И наоборот. Т.к. список файлах в них совпадает.
Консоль
[xxblx@localhost ~]$ urpmq -l liblua5.1-devel
/usr/include/lauxlib.h                                                         
/usr/include/lua.h
/usr/include/lua.hpp
/usr/include/luaconf.h
/usr/include/lualib.h
/usr/lib/liblua.so
/usr/lib/pkgconfig/lua.pc
/usr/include/lauxlib.h
/usr/include/lua.h
/usr/include/lua.hpp
/usr/include/luaconf.h
/usr/include/lualib.h
/usr/lib/liblua.so
/usr/lib/pkgconfig/lua.pc

з.ы. пока здесь пусть сообщения будут, когда вопрос со сборкой будет решен, сообщения по вопросам сборки отрежу в отдельную тему в соответствующий раздел, а здесь останется текущая шапка и обсуждение непосредственно OpenRA.

Fedora & GNOME

4

Dune2000 работает, а на RedAalert вылетает.

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

5

XliN, может ресурсы игровые не подходят? Кинь ссылку на пакет, у себя попробую.

Fedora & GNOME

6

xxblx, Сейчас

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

7

https://yadi.sk/d/0bo478sBcV44N
https://yadi.sk/d/yFuZ-JYwcV46a

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

8

Я немного спек подправил. Сейчас попробую собрать.

Fedora & GNOME

9

src.rpm
https://yadi.sk/d/phzSXi04cV9E7

rpm
https://yadi.sk/d/rg4WblYQcV9BG

Проверяйте. Если все будет ок, залью в репозиторий.

Fedora & GNOME

10

xxblx,
1. По зависимостям он потянул мне пакет от i586
2. Игра не запустилась

+ открыть спойлер

Консоль
[xlin@xlin-netbook aum]$ sudo urpmi openra-20141029-1.mga4.mrc.noarch.rpm
Для удовлетворения зависимостей будут установлены следующие пакеты:
  Пакет                          Версия       Релиз         Платформа
(источник «Core 32bit Release (distrib37)»)
  libgdiplus0                    2.10.9       6.mga4        i586   
  libgif4                        4.2.1        6.mga4        i586   
(командная строка)
  openra                         20141029     1.mga4.mrc    noarch 
Будет использовано 20МБ дополнительного дискового пространства.
Будет загружено 7.6МБ пакетов.
Установить 3 пакетов? (Y/n) y


    http://ftp.belnet.be/mageia/distrib/4/i … 4.i586.rpm
    http://ftp.belnet.be/mageia/distrib/4/i … 4.i586.rpm                                                                         
БЕЗОПАСНОСТЬ: Следующий пакет не подписан (OK ((none))): openra-20141029-1.mga4.mrc.noarch.rpm                                                                         
устанавливается /var/cache/urpmi/rpms/libgdiplus0-2.10.9-6.mga4.i586.rpm
openra-20141029-1.mga4.mrc.noarch.rpm
/var/cache/urpmi/rpms/libgif4-4.2.1-6.mga4.i586.rpm
Подготовка...                    ######################################################################################################################################
      1/3: libgif4               ######################################################################################################################################
      2/3: libgdiplus0           ######################################################################################################################################
      3/3: openra                ######################################################################################################################################
[xlin@xlin-netbook aum]$ open
open            openal-info     openoffice.org  openra          openra-editor   openssl         openvt          openxenmanager 
[xlin@xlin-netbook aum]$ openr
openra         openra-editor 
[xlin@xlin-netbook aum]$ openra
Platform is Linux
Using SDL 2 with OpenGL renderer
Desktop resolution: 1366x768
No custom resolution provided, using desktop resolution
Using resolution: 1366x768
Detected OpenGL version: 4.4
Using OpenAL sound engine
Using default device
Available mods:
    cnc: Tiberian Dawn ({DEV_VERSION})
    d2k: Dune 2000 ({DEV_VERSION})
    modchooser: Mod Chooser ({DEV_VERSION})
    ra: Red Alert ({DEV_VERSION})
Loading mod: ra
Exception of type `System.DllNotFoundException`: lua51.dll
TypeName=``
  at (wrapper managed-to-native) Eluant.LuaApi:lua_newstate (Eluant.LuaRuntime/LuaAllocator,intptr)
  at Eluant.LuaRuntime..ctor () [0x00000] in <filename unknown>:0

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

11

XliN пишет:

1. По зависимостям он потянул мне пакет от i586

Твой тянул x86_64 по зависимостям. Это поправлю.

XliN пишет:

2. Игра не запустилась

покажи плз

Консоль
rpm -qa | grep lua5.1

Fedora & GNOME

12

Консоль
liblua5.1-5.1.5-4.1.mga4
lua5.1-5.1.5-4.1.mga4
lib64lua5.1-5.1.5-4.1.mga4

А ты у себя то проверял? RA вытянул файлы и запустился?

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

13

Да, запустился. Потом тоже ошибка с Lua.
Подозреваю, что дело в этом

If you have issues with DllNotFoundException being thrown, make sure that liblua5.1.so or lua5.1.dll are in your dynamic library search path.

https://github.com/cdhowie/Eluant

Поковыряюсь еще потом, посмотрю как поправить.

Fedora & GNOME

14

xxblx, Я тут начал багреплорт https://github.com/OpenRA/OpenRA/issues … -188124440

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

15

Сравнил с OpenRA в Cauldron. Requires и Provides отличаются сильно. Странно, не в mono ли дело.

Fedora & GNOME

16 (2014-11-04 20:17:16 отредактировано XliN)

xxblx⇓ пишет:

Сравнил с OpenRA в Cauldron. Requires и Provides отличаются сильно. Странно, не в mono ли дело.

Потому что я правил и добавлял. Кстате, если ставить из исходников, то тоже не работает. Но ругается по другому

Консоль
[xlin@xlin-netbook openra]$ ./launch-game.sh
Platform is Linux
Using SDL 2 with OpenGL renderer
Desktop resolution: 1366x768
No custom resolution provided, using desktop resolution
Using resolution: 1366x768
Detected OpenGL version: 4.4
Using OpenAL sound engine
Using default device
Available mods:
    cnc: Tiberian Dawn ({DEV_VERSION})
    d2k: Dune 2000 ({DEV_VERSION})
    modchooser: Mod Chooser ({DEV_VERSION})
    ra: Red Alert ({DEV_VERSION})
Loading mod: cnc
Exception of type `System.DllNotFoundException`: liblua64.5.1.5.so
TypeName=``
  at (wrapper managed-to-native) Eluant.LuaApi:lua_newstate (Eluant.LuaRuntime/LuaAllocator,intptr)
  at Eluant.LuaRuntime..ctor () [0x00000] in <filename unknown>:0

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

17

XliN пишет:

если ставить из исходников, то тоже не работает.

Вот потому и подозрение на mono.

Fedora & GNOME

18

xxblx пишет:
XliN пишет:

если ставить из исходников, то тоже не работает.

Вот потому и подозрение на mono.

да, именно про моно мне сказали при инсталлировании программой инсталляции, в самом начале

19

Не знаю как у вас, но у меня он ищет не пойми что

Консоль
Red Alert Mod at Version {DEV_VERSION}
Operating System: Linux (Unix 3.14.18.3)
Runtime Version: Mono 3.2.3 (tarball Wed Jan  1 21:52:02 UTC 2014) CLR 4.0.30319.17020
Exception of type `System.DllNotFoundException`: liblua64.5.1.5.so
TypeName=``
  at (wrapper managed-to-native) Eluant.LuaApi:lua_newstate (Eluant.LuaRuntime/LuaAllocator,intptr)
  at Eluant.LuaRuntime..ctor () [0x00000] in <filename unknown>:0

Ну нет такого liblua64.5.1.5.so

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

20

XliN, попробуй симлинк сделать на требуемый файл с имеющего в системе.

з.ы. у меня так он lua51.dll найти не может big_smile

Fedora & GNOME

21 (2014-11-04 21:25:59 отредактировано XliN)

xxblx⇓ пишет:

попробуй симлинк сделать на требуемый файл с имеющего в системе.

С какого на какой? Попробую.

И при сборке mono вот такое выдало

mono-find-requires: Warning, could not find package that provides: liblua64.5.1.5.so()(64bit)
MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

22

Запустилась!!! ))) символическая ссылка пмогла

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

23

XliN, запустилась с какого пакета? С того что я выложил? Или самосборная?

Fedora & GNOME

24

Как это правильно в спеке оформить?

MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================

25

xxblx⇓ пишет:

XliN, запустилась с какого пакета? С того что я выложил? Или самосборная?

С твоего. Я там подправил строчку одну %make dependencies

%make dependencies
%make
%make docs
MXLinux 19.3 - xfce
Чем больше я работаю админом, тем больше понимаю,
насколько волшебна фраза - "Нет технической возможности!"

==============================================